com.taosdata.jdbc.tmq

## Class ConsumerRecord<V>

- java.lang.Object
- - com.taosdata.jdbc.tmq.ConsumerRecord<V>

    public class ConsumerRecord<V>
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ConsumerRecord(String topic, String dbName, int vGroupId, long offset, V value)`
`ConsumerRecord(String topic, String dbName, int vGroupId, V value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDbName()`
`long` `getOffset()`
`String` `getTopic()`
`int` `getVGroupId()`
`V` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConsumerRecord

    public ConsumerRecord(String topic,
                          String dbName,
                          int vGroupId,
                          V value)

#### ConsumerRecord

    public ConsumerRecord(String topic,
                          String dbName,
                          int vGroupId,
                          long offset,
                          V value)

### Method Detail

#### getTopic

    public String getTopic()

#### getDbName

    public String getDbName()

#### getVGroupId

    public int getVGroupId()

#### value

    public V value()

#### getOffset

    public long getOffset()